Bug 526890 - listing through history with page-up/down makes new empty line unreachable
Summary: listing through history with page-up/down makes new empty line unreachable
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Roman Rakus
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-02 11:49 UTC by Michal Hlavinka
Modified: 2014-01-13 00:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 13:56:01 UTC
Type: ---


Attachments (Terms of Use)

Description Michal Hlavinka 2009-10-02 11:49:47 UTC
Description of problem:
after upgrade to rawhide I can't get back to empty command line when listing through history if page-up/down key was used

this was working in F-11

Version-Release number of selected component (if applicable):
bash-4.0.33-1.fc12.x86_64

How reproducible:
always

Steps to Reproduce:
1. press these keys : up, page-up,down
2. try to get empty line by pressing any up/down keys
3.
  
Actual results:
empty line can't be reached

Expected results:
empty line can be reached

Additional info:
when using only up/down keys, empty line is reachable

Comment 1 Roman Rakus 2009-11-06 13:56:01 UTC
This behaviour has been changed in /etc/inputrc. Previously PAGEUP was beginning-of-history and PAGEDOWN end-of-history. But now PAGEUP is history-search-backward and PAGEDOWN is history-search-forward. You can adjust this behaviour in ~/.inputrc (see man bash READLINE section)


Note You need to log in before you can comment on or make changes to this bug.